API Docs
YMS API
Order Controller
GET Get Order

GET Get Order

Introduction

Retrieve a single order by its order ID. Returns the complete order information including status, customer, carrier, equipment details, item lines, and all associated data.

API Request

GET /order/{orderId}

Request Parameters

NameLocationTypeRequiredDescription
orderIdpathstringYesOrder ID
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "id": 0,
    "orderId": "",
    "orderStatus": "",
    "customerId": "",
    "poNo": "",
    "referenceNo": "",
    "retailer": "",
    "shipFrom": "",
    "shipTo": "",
    "totalPalletQty": 0,
    "totalCartonQty": 0,
    "itemInfos": [
      {
        "itemId": "",
        "itemName": "",
        "itemQty": "",
        "palletQty": "",
        "itemSpecDesc": "",
        "itemSpecName": "",
        "uomId": "",
        "qty": ""
      }
    ],
    "customerName": "",
    "carrierName": "",
    "shipToAddress": {
      "id": "",
      "name": "",
      "country": "",
      "state": "",
      "city": "",
      "zipCode": "",
      "fax": "",
      "address1": "",
      "address2": "",
      "contact": "",
      "phone": "",
      "extension": "",
      "email": "",
      "orgId": "",
      "orgName": "",
      "referenceNo": "",
      "batchCode": "",
      "storeNo": "",
      "shorthand": "",
      "toHome": false,
      "tags": [
        ""
      ],
      "latitude": "",
      "longitude": "",
      "crmAddressId": ""
    },
    "shipFromAddress": {
      "id": "",
      "name": "",
      "country": "",
      "state": "",
      "city": "",
      "zipCode": "",
      "fax": "",
      "address1": "",
      "address2": "",
      "contact": "",
      "phone": "",
      "extension": "",
      "email": "",
      "orgId": "",
      "orgName": "",
      "referenceNo": "",
      "batchCode": "",
      "storeNo": "",
      "shorthand": "",
      "toHome": false,
      "tags": [
        ""
      ],
      "latitude": "",
      "longitude": "",
      "crmAddressId": ""
    },
    "appointmentTime": "",
    "dynamicFieldValues": [
      {
        "entityId": "",
        "entityType": "",
        "fieldCode": "",
        "value": "",
        "fieldName": "",
        "longValue": "",
        "shortValue": ""
      }
    ],
    "proNos": [
      ""
    ],
    "invoicePros": [
      ""
    ],
    "doNos": [
      ""
    ],
    "tripNo": "",
    "shippedTime": ""
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneROrderView (opens in a new tab)